Bug 243126 - Wrong init script
Summary: Wrong init script
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openib   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Doug Ledford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 237789 243127
TreeView+ depends on / blocked
 
Reported: 2007-06-07 13:46 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:03 UTC (History)
1 user (show)

Fixed In Version: RHEA-2007-0645
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 17:01:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0645 normal SHIPPED_LIVE OpenIB Infiniband enhancement update 2007-10-30 15:42:50 UTC

Description Michal Marciniszyn 2007-06-07 13:46:17 UTC
Description of problem:
Some parts of openibd init script end script with incorrect return code. Some
times they may even cause not-calling of the status command. For example:
if [ ! -f $CONFIG ]; then
    exit 0
fi
this one.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 RHEL Product and Program Management 2007-06-07 13:54:00 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Michal Marciniszyn 2007-06-07 14:07:22 UTC
The same problem appears also in opensmd init script, if fixing this one, would
you fix also the other one?

Comment 3 Doug Ledford 2007-06-27 21:30:14 UTC
Fixed during the OFED 1.2 update.

Comment 7 errata-xmlrpc 2007-11-07 17:01:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0645.html



Note You need to log in before you can comment on or make changes to this bug.